/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.anttasks.sitebuilder;

import java.util.Iterator;
import java.util.Vector;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.DirectoryScanner;
import org.apache.tools.ant.types.FileSet;

public class Category {

	private String name=null;
	private String label=null;
	private String urlPrefix="";
	private Description description=null;
	private Vector filesets=new Vector();
	public void setName(String name) {
		this.name=name;
	}
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public String getName() {
		return name;
	}
	public void addFileSet(FileSet fileset) {
		filesets.add(fileset);
	}
	
	public Vector getFiles() {
			Vector results=new Vector();
			Iterator i=filesets.iterator();
			while(i.hasNext()) {
					FileSet fs=(FileSet) i.next();
					DirectoryScanner scanner=fs.getDirectoryScanner();
					String[] files=scanner.getIncludedFiles();
					if(files!=null && files.length>0) {
						for(int f=0;f<files.length;f++) {
							results.add(files[f]);
						}
					}
			}
			return results;
	}
	public String getUrlPrefix() {
		return urlPrefix;
	}
	public void setUrlPrefix(String urlPrefix) {
		this.urlPrefix = urlPrefix;
	}
	public void addDescription(Description d) {
		if(description!=null)  throw new BuildException("only one description allowed");
		this.description=d;
	}
	public String getDescriptionText() {
		if(description==null) return "";
		return description.getText();
	}
}
