/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package org.apache.kato.common;

import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;

/**
 * Set like class that can return the values as a {@link java.util.List}
 * This class has limited {@link java.util.HashSet} semantics in that objects
 * are retained in the set according to HashSet rules.  Value objects can be retrieved
 * from the class  by calling the {@link #values()} method.   Objects returned in the
 * list are in add order.    
 * 
 * @experimental This is an experimental addition and may be removed at a later date 
 *
 */
public class ObjectSetList<T> {
	HashSet<T> map=new HashSet<T>();
	LinkedList<T> list=new LinkedList<T>();
	public List<T> values() {
		
		return list;
	}
	
	public void add(T obj) {
		if(map.contains(obj)) {
			map.remove(obj);
			list.remove(obj);
		}
		map.add(obj);
		list.add(obj);
	}
}