/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.hprof;

import java.io.File;
import java.net.URI;
import java.net.URL;
import java.util.Collection;

import junit.framework.TestCase;

import org.apache.kato.hprof.datalayer.HProfFactory;
import org.apache.kato.hprof.datalayer.HProfFile;

public class HProfViewTest extends TestCase {
	HProfFile file;
	HProfView view;
	
	public void setUp() throws Exception {
		URL datafile=getClass().getResource("/data/java.hprof");
		URI i=datafile.toURI();
		File file2=new File(i);
		file = HProfFactory.createReader(file2);
		file.open();
		view = new HProfView(file);
		view.open(null);
	}
	
	public void testClassLoaders() {
		Collection<IJavaClassLoader> loaders = view.getJavaClassLoaders();
		
		for(IJavaClassLoader loader : loaders) {	 		
	 	
	 		System.out.println("\nloader = 0x"+Long.toHexString(loader.getID()));
	 		System.out.println("==============================");
	 		
	 		Collection<Long> classes = loader.getClasses();
	 		
	 		for ( Long clazz : classes ) {
	 			IJavaClass classObj = view.getJavaClassByID(clazz);
	 			
	 			System.out.println("\t0x"+Long.toHexString(clazz)+ ": "+ 
	 					Long.toHexString(classObj.getClassObjectID())+
	 					" "+classObj.getClassName());	 
	 		}
	 	}
	}
}
