/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tools.jdi;

/**
 * JDINotifier is built execute code whenever something happens inside the JDIServerContainer,
 * and preventing continuous polling, and to avoid extra threads from being created.
 * 
 * To use the interface, simply implement the update() method, which is called when something happens
 *
 */
public interface JDINotifier {
	public void update(JDIServerContainer vsc);
}
