/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.results.reporter;


public class Key {

	private String name=null;
	private Key parentKey=null;
	
	public Key(String name) {
		this.name=name;
	}
	private Key() {
		
	}
	public Key(Key key, String name) {
		parentKey=key;
		this.name=name;
	}

	public static final Key EMPTYKEY = new Key();
	
	
	public String toString() {
		return getPath();
	}
	public String getName() {
		return name;
	}
	public String getPath() {
		if(parentKey!=null) return parentKey.toString()+"/"+name;
		return name;
	}
	public static Key parse(String path) {
		
		if(path.equals("")) return Key.EMPTYKEY;
		if(path.indexOf('/')<0) return new Key(path); 
		
		String[] key=path.split("/");
		Key top=new Key(key[0]);
		
		for(int i=1;i<key.length;i++) {
			top=new Key(top,key[i]);
		}
		
		return top;
	
		
	}
	public String[] parts() {
		
		String path=getPath();
		return path.split("/");
	}
}
