/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;



public class JavaruntimeScenarioSetup extends ScenarioElement {

	
	
	public JavaruntimeScenarioSetup() {
		new SetupJavaClass_getName();
		new SetupJavaClassLoader_getJavaObject();
		new SetupJavaField_equals();
		new SetupJavaField_get();
		new SetupJavaField_getBoolean();
		new SetupJavaField_getByte();
		new SetupJavaField_getChar();
		new SetupJavaField_getDeclaringClass();
		new SetupJavaField_getDouble();
		new SetupJavaField_getFloat();
		new SetupJavaField_getInt();
		new SetupJavaField_getLong();
		new SetupJavaField_getModifiers();
		new SetupJavaField_getName();
		new SetupJavaField_getShort();
		new SetupJavaField_getSignature();
		new SetupJavaField_getString();
		new SetupJavaMethod_getName();
		new SetupJavaObject_arraycopy();
		new SetupJavaObject_getDeclaredFields_getName();
		new SetupJavaObject_getReferences();
		new SetupJavaReferences();
		new SetupJavaRuntime_getCompiledMethods();
		new SetupJavaRuntime_getHeapRoots();
		new SetupJavaRuntime();
		new SetupJavaRuntimeThreads();
		new SetupJavaStackFrame_getHeapRoots();
		new SetupJavaThread_getName();
		new SetupJavaThread_getStackFrames();
		new SetupJavaThreadInspection();
		new SetupJavaClass_uninitialized();
		new SetupJavaMonitor_ObjectMonitors();		
	}
	
	
}
