/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




public class SetupJavaField_get extends ScenarioElement  {
	public byte byteValue = 0x5a;
	public byte maxByteValue = Byte.MAX_VALUE;
	public byte minByteValue = Byte.MIN_VALUE;
	
	public short shortValue = 0x5a7f;
	public short maxShortValue = Short.MAX_VALUE;
	public short minShortValue = Short.MIN_VALUE;
	
	public char charValue = '\u043e';
	public char maxCharValue = Character.MAX_VALUE;
	public char minCharValue = Character.MIN_VALUE;
	
	public int intValue = 0x12345678;
	public int maxIntValue = Integer.MAX_VALUE;
	public int minIntValue = Integer.MIN_VALUE;
	
	public long longValue = 0x9abcdef012345678l;
	public long maxLongValue = Long.MAX_VALUE;
	public long minLongValue = Long.MIN_VALUE;

	public float floatValue = (float)4.0e2;
	public float maxFloatValue = Float.MAX_VALUE;
	public float minFloatValue = Float.MIN_VALUE;
	
	public double doubleValue = 4.1e2;
	public double maxDoubleValue = Double.MAX_VALUE;
	public double minDoubleValue = Double.MIN_VALUE;
	
	public String stringValue = "this is a string";
	public Object objectValue = new Object();
	public Object nullValue = null;
	
	public static byte byteStaticValue = 0x12;
	public static byte maxByteStaticValue = Byte.MAX_VALUE;
	public static byte minByteStaticValue = Byte.MIN_VALUE;

	public static short shortStaticValue = 0x1842;
	public static short maxShortStaticValue = Byte.MAX_VALUE;
	public static short minShortStaticValue = Byte.MIN_VALUE;

	public static char charStaticValue = '\u0342';
	public static char maxCharStaticValue = Character.MAX_VALUE;
	public static char minCharStaticValue = Character.MIN_VALUE;

	public static int intStaticValue = 0x98765432;
	public static int maxIntStaticValue = Integer.MAX_VALUE;
	public static int minIntStaticValue = Integer.MIN_VALUE;
	
	
	public static long longStaticValue = 0x47393fabcd8dbea7l;
	public static long maxLongStaticValue = Long.MAX_VALUE;
	public static long minLongStaticValue = Long.MIN_VALUE;
	
	
	public static float floatStaticValue = (float)1.0e-3;
	public static float maxFloatStaticValue = Float.MAX_VALUE;
	public static float minFloatStaticValue = Float.MIN_VALUE;
	
	public static double doubleStaticValue = 7.2e-9;
	public static double maxDoubleStaticValue = Double.MAX_VALUE;
	public static double minDoubleStaticValue = Double.MIN_VALUE;
	
	public static String stringStaticValue = "This statement is false.";
	public static Object objectStaticValue = new Object();
	public static Object nullStaticValue = null;
	
	public static class WrongClass {
		byte byteValue;
		Object objectValue = new Object();
	}
	
	public WrongClass wrongObjectInstance = new WrongClass();
	
	public static String wrongClassName = WrongClass.class.getName().replace('.', '/');
	
	
}
