/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;





public class SetupJavaField_getString extends ScenarioElement  {
	public String longString;
	public String emptyString = "";
	public String nullString = null;
	public String foreignString = "\u0412\u043e\u0434\u043a\u0430"; 
	static public String staticString = "This is a static string. So there.";
	public int nonString = 34;
	
	public static int strlen = 65536;
	
	{
		// Initalize string with somewhat random string.
		char buffer[] = new char[strlen];
		int value = 1239723;
		
		for (int i=0; i< strlen; i++) {
			value = (17223 * value + 327) % 127893;
			
			buffer[i] = (char)((int)'a' + Math.abs(value  % 26));
		}
		
		longString = new String(buffer);
	}
}
