/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.api.ICheckpoint;
import org.apache.kato.tck.harness.scenario.ScenarioElement;



/**
 * Tests to ensure that valid Thread objects get reported correctly 
 * 
 */
public class SetupJavaThreadInspection extends ScenarioElement{


public Thread[] configThreadInstances=null;


	
	public void configureValidJavaThreads(ICheckpoint cp) {
		Thread t1=new Thread() {
			public void run() {
				while (true) {
					try {
						sleep (10000);
					} catch (InterruptedException e) {
					}
				}
			}
		}; 
		Thread t2=new Thread(t1);
		Thread t3=new Thread("");

		configThreadInstances=new Thread[]{t1,t2,t3};
		
		cp.checkpoint();
		
	}
}
