/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import javax.tools.diagnostics.runtime.java.JavaClass;
import javax.tools.diagnostics.runtime.java.JavaField;
import javax.tools.diagnostics.runtime.java.JavaObject;

import org.apache.kato.tck.harness.TCKJavaRuntimeTestcase;


/**
 * Tests that getDeclaringClass is working.
 * 
 */
public class TestJavaField_getDeclaringClass extends TCKJavaRuntimeTestcase {
	
	
	public void testInstanceField() throws Exception {
		JavaObject thisJavaObject = getScenerioReference();
		JavaClass thisJavaClass = thisJavaObject.getJavaClass();
		
		JavaField instanceFieldField = getJavaField(thisJavaClass, "instanceField");
		
		assertEquals(thisJavaClass, instanceFieldField.getDeclaringClass());		
	}
	
	public void testStaticField() throws Exception {
		JavaObject thisJavaObject = getScenerioReference();
		JavaClass thisJavaClass = thisJavaObject.getJavaClass();
		
		JavaField staticFieldField = getJavaField(thisJavaClass, "staticField");
		
		assertEquals(thisJavaClass, staticFieldField.getDeclaringClass());
	}
}
