/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.tests.process.image;

import java.util.Iterator;

import javax.tools.diagnostics.image.CorruptData;
import javax.tools.diagnostics.image.Image;
import javax.tools.diagnostics.image.ImageAddressSpace;
import org.apache.kato.tck.harness.TCKProcessTestcase;


/**
 * ImageAddressSpace
 * 
 */
public class TestImageAddressSpace extends TCKProcessTestcase{

	/**
	 *
	 */
	public void testAddressSpace() {

		Image image=getImage();
		Iterator addressSpaces = image.getAddressSpaces().iterator();

		while (addressSpaces.hasNext()) {
			Object nextAddressSpace = addressSpaces.next();
			if (nextAddressSpace instanceof CorruptData) {
				System.err.println("returned CorruptData `" + nextAddressSpace + "'");
				break;
			}

			ImageAddressSpace anAddressSpace = (ImageAddressSpace) nextAddressSpace;

			assertNotNull(anAddressSpace);
		}
	}
}
