/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.HashMap;
import java.util.Stack;

import javax.tools.diagnostics.image.Image;

import org.apache.kato.katoview.Output;


public class QuitCommand extends Command {
	
	public QuitCommand(Output o){
		super(o, "quit", "exits the core file viewing tool",
				"parameters: none\n\n" +
				"exits the core file viewing tool; any log files that are " +
				"currently open will be closed prior to exit\n"
		);
		child_commands = null;
	}
	
	public void doCommand(Stack args, Image loadedImage, HashMap properties){
		if (!args.isEmpty())
		{
			out.error("\"quit\" does not take any parameters");
			return;
		}
		properties.put("quit", "on");
	}
}
