/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands;

import java.util.Vector;

import org.apache.kato.katoview.Output;
import org.apache.kato.katoview.commands.tomcat.TomcatJSPCommand;
import org.apache.kato.katoview.commands.tomcat.TomcatThreadPoolsCommand;
import org.apache.kato.katoview.commands.tomcat.TomcatVersionCommand;

/**
 * Provides commands for querying a Tomcat 5.5 server.
 * 
 *
 */
public class TomcatCommand extends Command {
	private static final String COMMAND_NAME="tomcat";
	private static final String DESCRIPTION="Tomcat support commands";
	private static final String LONG_DESCRIPTION="Tomcat support commands";
	
	protected TomcatCommand(Output o) {
		super(o, COMMAND_NAME, DESCRIPTION, LONG_DESCRIPTION);
		child_commands = new Vector();
		child_commands.add(new TomcatVersionCommand(o));
		child_commands.add(new TomcatThreadPoolsCommand(o));
		child_commands.add(new TomcatJSPCommand(o));

	}
	
}
