/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.heapdump;


public class LongArrayReferenceIterator implements ReferenceIterator 
{
	private final long _fields[];
	private int _index = 0;
	
	public LongArrayReferenceIterator(long[] fields) {
		if(fields != null) {
			_fields = fields;
		} else {
			_fields = new long[0];
		}
	}
	
	public boolean hasNext()
	{
		return _index < (_fields.length);
	}

	public Long next()
	{
		Long toReturn = new Long(_fields[_index]);
		
		_index++;
		
		return toReturn;
	}

	public void reset()
	{
		_index = 0;
	}
	
}
