/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.heapdump;

/**
 * Type-safe, resettable iterator for references.
 * 
 */
public interface ReferenceIterator
{

	/**
	 * 
	 * @return True if next() will return non-null,
	 * false otherwise.
	 */
	public boolean hasNext();
	
	/**
	 * 
	 * @return Next reference
	 */
	public Long next();
	
	/**
	 * Resets the iterator back to the start of the 
	 * structure it is iterating. Iterator will behave
	 * as if it has just been constructed
	 */
	public void reset();
}
